import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class TurtleWorld extends World
{
    /**
     * Create the turtle world. Our world has a size 
     * of 560x460 cells, where every cell is just 1 pixel.
     */
    public TurtleWorld() 
    {
        super(1080, 1090, 1);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {

        Turtle turtle = new Turtle();
        addObject(turtle, 237, 191);
        alligator alligator = new alligator();
        addObject(alligator, 117, 308);
        Mouse mouse = new Mouse();
        addObject(mouse, 323, 126);
        lettuce lettuce63 = new lettuce();
        // random chance to spawn
        if (Greenfoot.getRandomNumber(100) == 100)
        {
            // random top edge location
            int x = Greenfoot.getRandomNumber(getWidth());

            int Y = Greenfoot.getRandomNumber(getHeight());
            addObject(new lettuce(), x, Y);
        } 
        back back2 = new back();
        addObject(back2, 995, 83);
        Counter counter = new Counter();
        addObject(counter, 24, 20);
    }
    }
